Subject: Re: bug#12693: 24.2.50; src/w32font.c should depend on ANSI code page

From: [email-masked]
Date: Fri, 26 May 2017 19:23:05 -0400

# the existing patch is not suitable
tags 12693 - patch
retitle 12693 [cygwin] Setting fonts with non-ascii names throws error
quit

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 25 Oct 2012 14:18:07 -0700
>> From: Daniel Colascione <[email-masked]>
>> CC: Kazuhiro Ito <[email-masked]>, [email-masked]
>> 
>> The right code for Cygw32 is to always define NTGUI_UNICODE and unconditionally
>> use Unicode APIs when NTGUI_UNICODE is set.
>
> I figured that much.  So I suggest that the patch to fix this issue be
> reworked in that direction.
>
>> Maybe, someday, we can define NTGUI_UNICODE for the NT port too.
>
> That's the plan, yes.  Although I think it will not be a compile-time
> test, since there's a lot of work involved, and so some old code will
> have to coexist with the new for some time.  Volunteers are welcome.